package com.persagy.account.mapper;

import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasGroupProductPage;

/**
 * 集团签约产品详情
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
@Mapper
public interface SaasGroupProductPageMapper extends BaseMapper<SaasGroupProductPage> {

	/**
	 * 创建签约ID，与页面ID的关联关系
	 * @param contractId
	 * @param pageIds
	 * @return
	 */
	Integer insertSaasGroupProductPage(@Param("contractId") String contractId, @Param("pageIds") Set<String> pageIds);

}
