package com.persagy.account.pojo.vo.product;

import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 产品签约信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-05-07 10:31:47
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasGroupProductDeleteVO extends BaseGroupModel {
	
	@NotEmpty(message = "产品ID，不可为空")
	@ApiModelProperty(value = "产品ID", example = "1001")
	private String productId; // 产品ID
	
}
