package com.persagy.sso.pojo.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @ClassName : IdDTO
 * @Author ：xgq
 * @Date ：Created in 2021/4/14 22:05
 * @Description： TODO
 * @Version : 1.0
 */
@Data
@ApiModel(value = "查询岗位入参")
public class QueryJobDTO {

    /**
     * 账号所属, 0-运维系统账号，1-业务账号
     * **/
    private String accountBelong;

    /**集团编码**/
    private String groupCode;

    /**账号id**/
    private String accountId;

    /**应用ID**/
    private String appId;

    /**角色名称**/
    private String roleName;

    /**
     * 角色类型，1:岗位; 2:集团管理员; 3:角色，万达同步的数据：101
     * **/
    private String roleType;
}
