package com.persagy.sso.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.sso.mapper.JobReflexMapper;
import com.persagy.sso.pojo.dto.JobReflex;
import com.persagy.sso.service.IJobReflexService;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:49:05
 */
@Service
public class JobReflexServiceImpl extends SuperServiceImpl<JobReflexMapper, JobReflex> implements IJobReflexService {


    @Override
    public JobReflex queryByCondition(String oaJobId) {
        LambdaQueryWrapper<JobReflex> queryWrapper = new JobReflex.Builder()
                .createQueryWrapper().oaJobIdEq(oaJobId).builderQueryWrapper();
        return baseMapper.selectOne(queryWrapper);
    }

    @Override
    public int updateJob(JobReflex jobReflex) {
        return baseMapper.updateById(jobReflex);
    }
}
