package com.persagy.account.pojo.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 集团
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class BaseUserVO {

	@NotBlank(message = "账号ID，不可为空")
	@ApiModelProperty(value = "账号ID", required = true, example = "RY56122123152")
	private String accountId; 	// 当前账号ID
	
}
