package com.persagy.sso.client.fallback;

import com.persagy.common.enums.ResponseCode;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.client.FmPersonClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xgq
 */
@Component
@Slf4j
public class FmPersonClientFallbackFactory implements FallbackFactory<FmPersonClient> {
    @Override
    public FmPersonClient create(Throwable throwable) {
        log.error("连接fm-person服务出错",throwable);
      //  return ResponseResultUtil.errorResult(ResponseCode.C0001.getCode(), ResponseCode.C0001.getDesc());
        return null;
    }


}
